summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristophe Lyon <christophe.lyon@linaro.org>2018-02-09 08:00:42 +0000
committerChristophe Lyon <christophe.lyon@linaro.org>2018-02-09 08:00:42 +0000
commite462912b73e2e389c348eb9446f07e1b5e0bc903 (patch)
tree4b906266664a8eaafe81b8b61d66a36603ba0892
parentcaedfc13b29c2bc7d68e69124f0f50575734fe93 (diff)
build-linux.sh: Cleaner traces.
Change-Id: I59a1c635b22e3b7b394550d9803c0e221d22abe3
-rwxr-xr-xbuild-linux.sh5
1 files changed, 1 insertions, 4 deletions
diff --git a/build-linux.sh b/build-linux.sh
index 9984080..71322aa 100755
--- a/build-linux.sh
+++ b/build-linux.sh
@@ -124,10 +124,7 @@ lava_boot()
# lava_boot.py works only when started from its own dir
pushd ${mydir}
- python3 ./lava-boot.py --level DEBUG --board ${DEVICE_TYPE} --linux-image app_linux/linux/$KERNEL --linux-dtb app_linux/linux/$DTB starttest > lava.stdout || true
- echo "Return code: $?"
- echo "Output:"
- cat lava.stdout
+ python3 ./lava-boot.py --level DEBUG --board ${DEVICE_TYPE} --linux-image app_linux/linux/$KERNEL --linux-dtb app_linux/linux/$DTB starttest | tee lava.stdout || true
result=$(grep "INFO job" lava.stdout)
popd